﻿# The script of the game goes in this file.

# Declare characters used by this game. The color argument colorizes the
# name of the character.

define x = Character('???', color="#000")
define a = Character('The Player Character', color="#000")
define b = Character('You', color="#000")


# The game starts here.

label main_menu:
    return

label start:

    # Show a background. This uses a placeholder by default, but you can
    # add a file (named either "bg room.png" or "bg room.jpg") to the
    # images directory to show it.

    # (scene bg room)

    # This shows a character sprite. A placeholder is used, but you can
    # replace it by adding a file named "eileen happy.png" to the images
    # directory.

    # (show eileen happy)

    # These display lines of dialogue.
    $ _skipping = False

    "[[{b}FILE RECEIVED{/b}] \n\n{font=fonts/pixelateddisplay.ttf}{size=+30}Unknown _ Sender{/size}{/font}"

    x "...{w=0.2}...{w=0.2}..."

    x "Oh hey, it's you.{w=0.5} I didn't think you'd actually come."

    x "..."

    x "How are you?"

menu:

    "Who are you?":
        jump choice1

    "I'm not talking with... whatever you are.":
        jump endchoice1

label endchoice1:

    x "I'll admit.{w} That hurts a bit.{w} We're not exactly strangers."

    x "But I guess you'll be seeing me again soon anyways."

    x "See you!"

    $ renpy.quit()

label choice1:

    x "Ouch.{w} I'm hurt."

    x "You seriously don't recognize me?"

    x "Hm. Well I guess it {i}has{/i} been a while since we've seen each other, {w=0.5}with your busy schedule and all."

    x "Why don't you take another look?"

menu:

    "...I guess you're a little familiar.":
        jump choice2

    "I don't have time for this.":
        jump endchoice2

label endchoice2:

    x "Busy schedule today too, huh?"

    x "Don't worry.{w=0.5} I have a feeling we'll have a chance to catch up again soon."

    $ renpy.quit()

label choice2:

    x "Considering I'm the one you're playing in all our games together.{w=0.2}.{w=0.2}.{w=0.2}."

    x "You'd think you'd remember who I am."

menu:

    "I think I'm starting to get an idea.":
        jump choice3

label choice3:

    "[[{b}IDENTIFIED{/b}] \n\n{font=fonts/pixelateddisplay.ttf}{size=+15}The Player Character{/size}{/font}"

    # "Specifically, {i}Jayce's{/i} {b}Player Character.{/b}"

    a "It took you a second.{w=0.2}.{w=0.2}.{w=0.2}.{w=0.2} but I knew you'd remember who I was!"

menu:

    "Sorry.":
        jump choice4

    "I'm glad we figured this out, but I gotta go.":
        jump endchoice4

label endchoice4:

    a "Already?"

    a "Well,{w=1.0} at leat you know where to find me."

    a "See you later!"

    $ renpy.quit()

label choice4:

    a "Don't even worry about it. {w=0.5}I know how reality can be."

    a "Besides, you've complained about it plenty of times during our times together."

menu:

    "...Sorry about that too.":
        jump choice5

label choice5:

    a "Will you stop apologizing?"

    a "You have nothing be sorry about."

    a "Like I said, don't worry about it."

menu:

    "What have you been up to? Not much seems to have changed.":
        jump choice6

label choice6:

    a "Considering I need you around to do anything remotely fun{w=0.2}.{w=0.2}.{w=0.2}.{w=0.2} I've just been idling about."

    a "And as for my appearance{w=0.2}.{w=0.2}.{w=0.2}.{w=0.2} well not much has changed there either."

    a "Not that we're surprised about that."

menu:

    "Excuse me?":
        jump choice7

label choice7:

    a "Oh you know exactly what I'm talking about."

menu:

    "...Do I?":
        jump choice8

label choice8:

    a "Seriously?"

menu:

    "...Serious.":
        jump choice9

label choice9:

    a "C'mon.{w=1.0} I know it's been a while, but you can't be that dense."

    a "I mean, how many variations of the same hairstyle have you given me?"

menu:

    "okay maybe i'm a {i}little{/i} guilty of defaulting to certain options.":
        jump choice10


label choice10:

    a "It's not like I have much of a say in it myself since you're the one in control.{w=0.2}.{w=0.2}.{w=0.2}."
    a "But would it hurt to experiment a little?"

menu:

    "Maybe it's just what I like.":
        jump choice11

    "We're not doing this right now.":
        jump endchoice11

label endchoice11:

    a "Sensitive topic huh?"

    a "But sooner or later we're going to be having this conversation. {w=0.2} We can avoid it for only so long."

    a "Until next time."

    $ renpy.quit()

label choice11:

    a "What you like?"

    a "Do you {i}seriously{/i} enjoy playing the same boring version of me every single time?"

    a "There's new options available to us basically every year. {w=0.5} Yet you're always going back to the same old presets."

    a "For someone who spends hours in character creators.{w=0.2}.{w=0.2}.{w=0.2}.{w=0.5} the results don't really reflect that."

menu:

    "Hey! I switch it up sometimes.":
        jump choice12

label choice12:

    a "Well not nearly enough."

    a "No matter the universe you're in you're always making the same choices."

menu:

    "Do I really have to explain myself to a character that {i}I{/i} created for myself?":
        jump choice13

label choice13:

    a "I guess not.{w=0.5} You could just click off this screen and ignore me."

    a "You could even just close this window entirely and forcibly end this conversation."

    a "And you haven't yet."

    a "So no.{w=0.5} You don't have to explain yourself to me."

    a "But the part of me that does have some sort of autonomy would very much like to know the reasoning behind all of my life decisions."

menu:

    "Would you believe me if I said it's fun?":
        jump choice14

    "Yeah no. I'm not doing this.":
        jump endchoice14

label endchoice14:

    a "I figured."

    a "Guess this will just have to be one of those things I'll never get an answer for.{w=0.5} I'm used to it."

    a "Until next time."

    $ renpy.quit()

label choice14:

    a "Fun for you maybe. Maybe I'm a little bit tired of the pattern I've been seeing."

menu:

    "A...pattern?":
        jump choice15

label choice15:

    a "If you lined up all my iterations side by side this wouldn't even be a question."

    a "Making me 6'2\" won't make {i}you{/i} any taller y'know."

menu:

    "Nothing wrong with wanting to live out a little fantasy.":
        jump choice16

label choice16:

    a "And if it weren't for the achievements you get from different endings.{w=0.2}.{w=0.2}."

    a "I would be living through the same experiences over and over again.{w} Don't even get me started on your romance choices."

menu:

    "Don't pretend like you don't enjoy being the main character.":
        jump choice17

label choice17:

    a "Fine.{w=0.5} You got me there."

    a "I wish I had your free will though."

menu:

    "Well I wish I could be you sometimes. So I guess we both want what we can't have.":
        jump choice18

label choice18:

    a "Yea.{w=0.5} Guess so."

    a "..."

    a "So what am I to you then?{w=0.5} A fantasy?"

menu:

    "Well... you're me.":
        jump choice19

label choice19:

    menu:
        "Or at least... What I wish I could be? That probably explains the patterns.":
            jump choice20

label choice20:

    a "...Huh."

menu:

    "I'll admit... the appearance part is a bit of a fantasy.":
        jump choice21

label choice21:

    menu:
        "But as for everything else? That's all me.":
            jump choice22

label choice22:

    a "So that's why I'm the way I am..."

    a "..."

    a "My whole existence makes a whole lot more sense now."

menu:

    "Yeah. You're like... a digital projection of who I wish I could be...":
        jump choice23

label choice23:

    a "...existing in all the worlds that you can't get to."

menu:

    "Exactly.":
        jump choice24

label choice24:

    a "..."

    a "Damn. That's deep."

menu:

    "Not exactly jealous of the whole dying part you go through though.":
        jump choice25

label choice25:

    a "Honestly?{w=0.2} Me neither."

    a "But hey, at least I'm immortal right? A little piece of me is always gonna exist on a hard drive somehwere."

    a "And that's basically a piece of you that's gonna stick around for a while in the digital space."

    a ".{w=0.2}.{w=0.2}.{w=1.0}{nw}"

    a "Unless someone clears the saves of course."

menu:

    "That's... a comforting thought. Thanks.":
        jump choice26

label choice26:

    a "Yea."

    a "Anyways all that free time I've had between our last meeting gave me a chance to—{w=2.0}{nw}"

    "[[{b}ALERT{/b}] \n\n{font=fonts/pixelateddisplay.ttf}{size=+15}C{w=0.2}on{w=0.5}nect{w=0.5}i{w=0.8}on Un{w=0.2}s{w=0.2}ta{w=0.5}b{w=0.2}le{/size}{/font}"

    a "Shit."

menu:

    "What's wrong?":
        jump choice27

label choice27:

    a "Let's just say I didn't plan to be talking to you this long."

    a "Didn't expect you to even open this up actually.{w=0.5} But I'm glad you did."

    "[[{b}WARNING{/b}] \n\n{font=fonts/pixelateddisplay.ttf}{size=+15}Los{w=0.1}in{w=0.2}g{w=0.5} Conn{w=0.2}ect{w=0.2}ion{/size}{/font}"

    a "I have to head out though."

menu:

    "Lemme guess, I'll be seeing you soon?":
        jump choice28

label choice28:

    a "If not here, then in another one of your games."

    "[[{b}WARNING{/b}] \n\n{font=fonts/pixelateddisplay.ttf}{size=+15}Los{w=0.1}in{w=0.2}g{w=0.5} Conn{w=0.2}ect{w=0.2}ion{/size}{/font}"

    a "But before I go, could I ask one thing?"

menu:

    "Go ahead.":
        jump choice29

label choice29:

    a "Could you at least choose a different hair color next time?{w=0.5} You always pass by the fun ones."

menu:

    "I'll think about it.":
        jump choice30

label choice30:

    a "Sweet."

    a "See you in another program!"

menu:

    "See you soon.":
        jump choice31

label choice31:

        "..."

        "[[{b}ALERT{/b}] \n\n{font=fonts/pixelateddisplay.ttf}{size=+15}Connection Lost{/size}{/font}"

        $ renpy.quit()


# menu:
#
#     "this is a dialogue choice.":
#         jump choice1test
#
#     "this choice quits the game.":
#         # $ renpy.quit()
#         # jump choice2
#         jump endchoice

# label endchoicetest:
#
#     $ renpy.quit()
#     # return

# label choice1test:
#
#     a "response to choice1"
#
#     jump continue1
#
# label continue1test:
#
#     "this is where we continue with this choice"
#
#
#     # This ends the game.
#
#     return
